#include <gpklib.h>
#include <assert.h>

#define N 37

# include <stdio.h>
# define P(x)	fprintf(stderr, "%s", (x))

main()
{
 int *p[N];
 int i;
 P(">"); P("\n");
 for(i=0;i<N;i++)	{
	int *q;
	q = int1alloc(N+5-i%9);
	P("a");
	assert(q);
	int1free(q);
	P("f");
	}
 P("\n");

 for(i=0;i<N;i++)	{
	p[i] = int1alloc(1+i);
	P("a");
	assert(p[i]);
	}

 for(i=0;i<N;i++)	{
	int *q;
	q = int1alloc(N+5-i%9);
	assert(q);
	int1free(q);
	P("X");
	}
 P("\n");
 
 for(i=0;i<N;i++)	{
	int1free(p[i]);
	P("f");
	}
 P("\n");

 for(i=0;i<N;i++)	{
	p[i] = int1alloc(1+i);
	P("A");
	assert(p[i]);
	}

 for(i=0;i<N;i++)	{
	int1free(p[N-1-i]);
	P("F");
	}
 P("\n");
}
